#ifndef DEBUG_H
#define DEBUG_H

/**
 * @file  debug.h
 * @brief Helper macros for debugging
 */

/**
 * @brief Debug printf
 *
 * Prints to stderr if RELEASE_BUILD is not defined.
 */
#ifndef RELEASE_BUILD
#define DEBUGPRINTF(fmt, ...) fprintf(stderr, fmt, ##__VA_ARGS__);
#else
#define DEBUGPRINTF(fmt, ...)
#endif

#endif
